Pan Extraction
Overview
This API allows users to extract information from PAN cards through images. The API accepts a JSON request with an array of URLs of images containing PAN cards and the type of PAN card. The API returns a JSON response with the extracted information, including name, DOB, and PAN card number etc
Endpoints | Environment |
|---|---|
https://api-preproduction.signzy.app/api/v3/pan/extractions | Preproduction |
https://api.signzy.app/api/v3/pan/extractions | Production |
curl --location 'https://api-preproduction.signzy.app/api/v3/pan/extractions' \
--header 'Content-Type: application/json' \
--header 'Authorization: <AuthKey>' \
--data '{
"files": [
"https://preproduction-persist.signzy.tech/api/files/37100725/download/421fe9031b63416f9ce092deabbc44e754cfc7a6145a44aa9bdf6360e3a485d0.jpg"
],
"type":"individualPan"
}'Headers
Header Name | Required | Description |
|---|---|---|
Content-Type | Yes | The content type of the request body. In this case, it is JSON. |
Authorization | Yes | API authorization key. |
Input Parameters
Parameter Name | Data Type | Required | Description |
|---|---|---|---|
files | Array | Yes | An array of URLs of images containing PAN card. |
type | String | Yes | Type of PAN card. Currently, only individualPan is supported. |
Output Parameters
Key | Data Type | Description |
|---|---|---|
files | Array | An array of URLs to the input files that were used for PAN extraction |
type | String | The type of PAN card extracted |
id | Integer | The unique identifier for the PAN extraction request |
result | Object | An object containing the extracted PAN card details |
result.dob | String | The date of birth of the PAN card holder in "dd/mm/yyyy" format |
result.name | String | The name of the PAN card holder |
result.fatherName | String | The name of the father or legal guardian of the PAN card holder |
result.number | String | The PAN card number |
result.panType | String | The type of PAN card holder, which can be "Adult", "Minor", or "Company" |
result.summary | Object | An object containing a summary of the extracted details |
result.summary.number | String | The PAN card number |
result.summary.name | String | The name of the PAN card holder |
result.summary.dob | String | The date of birth of the PAN card holder in "dd/mm/yyyy" format |
result.summary.address | String | The address of the PAN card holder |
result.summary.splitAddress | Object | An object containing the parsed address details |
result.summary.splitAddress.district | Array | An array of districts in the PAN card holder's address |
result.summary.splitAddress.state | Array | An array of states in the PAN card holder's address |
result.summary.splitAddress.city | Array | An array of cities in the PAN card holder's address |
result.summary.splitAddress.pincode | String | The PIN code of the PAN card holder's address |
result.summary.splitAddress.country | Array | An array of countries in the PAN card holder's address |
result.summary.splitAddress.addressLine | String | The full address of the PAN card holder |
result.summary.gender | String | The gender of the PAN card holder |
result.summary.guardianName | String | The name of the guardian of the PAN card holder |
result.summary.issueDate | String | The issue date of the PAN card in "dd/mm/yyyy" format |
result.summary.expiryDate | String | The expiry date of the PAN card in "dd/mm/yyyy" format |
result.summary.fatherName | String | The name of the father or legal guardian of the PAN card holder |
Sample Response:
Status Codes
Status Code | Description |
|---|---|
200 | OK |
400 | Bad Request |
409 | Upstream Down |
422 | Unprocessable Entity |